Description: This seems to be a known bug in nfs utils.

Fresh install of 7.3. Edit /etc/exports to add:

/myth *(rw,sync)

[root@linhes ~]# exportfs -arv
exportfs: /etc/exports [1]: Neither 'subtree_check' or 'no_subtree_check' specified for export "*:/myth".
  Assuming default behaviour ('no_subtree_check').
  NOTE: this default has changed since nfs-utils version 1.0.x

exporting *:/myth
exportfs: /proc/fs/nfs/exports:1: unknown keyword "test-client-(rw"

Various distributions (non-Arch) list the above error message as a known bug:

https://bugzilla.altlinux.org/show_bug.cgi?id=25240

http://linux.ittoolbox.com/groups/technical-functional/linuxadmin-l/unknown-keyword-testclientrw-warning-when
-executing-exportfs-ra-on-linux-3875947

https://bugs.gentoo.org/show_bug.cgi?id=353717

History
08/01/2012 05:07 am - ywd
I ran this on my new 7.3 system to get rid of the "test-client" message, but I'm still unable to get the export/mount working:

[root@linhes]# pacman -U http://mirror.rit.edu/archlinux/core/os/i686/nfs-utils-1.2.6-1-i686.pkg.tar.xz

08/01/2012 05:47 am - ywd
You can ignore the "test-client-(rw" message when running exportfs -arv. No need to update nfs-utils as it is not a show stopper. However, you do need 
to run "rc.d start nfs-server" to get the exports working so other servers can mount. Add that to your /etc/runit/1.local to start it on boot.

Thanks!

08/16/2012 06:25 pm - jams
correct it is a known bug.

About having to add /myth to /etc/exports  and rc.d nfs-server  none of that is needed is "standard file sharing" is enabled within the service menu.
10/29/2012 06:10 pm - jams
- Status changed from New to Closed

- Target version set to 8.0

Fixed in R8
